uniform float time;
uniform vec2 resolution;
uniform float brightness = 1.0;

void main(void){
   
   vec4 emitter1 = vec4(sin(length((gl_FragCoord.xy-resolution*3.0/5.0*-sin(time*1.2))/resolution.y)*64.0*sin(0.3+time)-20.0*time)*1.0);
   vec4 emitter2 = vec4(sin(length((gl_FragCoord.xy-resolution*sin(time))/resolution.y)*64.0*sin(time)-10.0*time*1.5)*1.0);
   
   vec4 result = emitter1 * emitter2;
   
   gl_FragColor = brightness * result.xyzw;
}